const emailRestrictions: { regex: RegExp } = {
	regex: /^[^\s@]+@[^\s@]+\.[^\s@]+$/,
};

function isValidEmail(rawEmail: string): validationResult {
	const email = rawEmail.trim();

	if (!email) {
		return { valid: false, error: "Email is required" };
	}

	if (!emailRestrictions.regex.test(email)) {
		return { valid: false, error: "Invalid email address" };
	}

	return { valid: true };
}

export { emailRestrictions, isValidEmail };
